Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000854Core InformModel worldpublic2012-01-29 13:472014-05-07 07:33
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000854: Some verb conjugations are hard-coded and therefore don't match plural-named actors
DescriptionThe attached source yields ``puts'' rather than ``put'':

- - - -
>[1] servants, drop litter
The servants puts down the litter.

>
- - - -
Minimal Source Text To Reproduce
The Cave is a room.

Some servants are men in the cave.  The servants carry a litter.
Persuasion rule: persuasion succeeds.

Test me with "servants, drop litter".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0001171closedgraham HimHerItself prints ``theirselves'' rather than ``themselves'' 

-  Notes
(0002486)
graham (administrator)
2014-02-13 12:59

Inflections are handled much better in the new responses system (replacement for library messages), and this sort of problem now doesn't arise.

- Issue History
Date Modified Username Field Change
2012-01-29 13:47 EmacsUser New Issue
2012-01-29 13:47 EmacsUser Issue generated from 0000851
2012-01-29 13:48 EmacsUser Reporter EmacsUser => NYKevin
2012-02-02 13:15 EmacsUser Status new => confirmed
2013-12-30 10:59 EmacsUser Relationship added related to 0001171
2014-02-13 12:59 graham Note Added: 0002486
2014-02-13 12:59 graham Status confirmed => resolved
2014-02-13 12:59 graham Resolution open => fixed
2014-02-13 12:59 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker